package com.yihu.figure.model.patient.portrait;

import com.yihu.figure.model.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by chenweida on 2017/3/7.
 */
@Entity
@Table(name = "figure_user_portrait")
public class UserPortrait extends IdEntity {

    private String userCode;//用户code
    private String category;//标签类别
    private String categoryName;//类别名称
    private String subCategory;//标签子类别
    private String subCategoryName;//标签子类别名称
    private String value;//标签名称
    private Date czrq;//
    private String healthAppraise;//健康评估
    private String healthSuggest;//健康建议
    private String recommendService;//推荐服务

    public String getUserCode() {
        return userCode;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getSubCategory() {
        return subCategory;
    }

    public void setSubCategory(String subCategory) {
        this.subCategory = subCategory;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public Date getCzrq() {
        return czrq;
    }

    public void setCzrq(Date czrq) {
        this.czrq = czrq;
    }

    public String getSubCategoryName() {
        return subCategoryName;
    }

    public void setSubCategoryName(String subCategoryName) {
        this.subCategoryName = subCategoryName;
    }

    public String getHealthAppraise() {
        return healthAppraise;
    }

    public void setHealthAppraise(String healthAppraise) {
        this.healthAppraise = healthAppraise;
    }

    public String getHealthSuggest() {
        return healthSuggest;
    }

    public void setHealthSuggest(String healthSuggest) {
        this.healthSuggest = healthSuggest;
    }

    public String getRecommendService() {
        return recommendService;
    }

    public void setRecommendService(String recommendService) {
        this.recommendService = recommendService;
    }
}
